Skip to main content
Document Operations

Update signatory

<small>Requires an API token with the Document Manager role.</small>

PUT
/documents/{document}/signatories/{signatory}

Updates the details of a signatory on a document.

Note: When updating a signatory who has an existing user in the current fynk account (has_account_user is true), only party_uuid and mobile_phone can be updated. Attempting to update other fields (first_name, last_name, title) will cause the request to be rejected with a validation error.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

signatorystringrequired

The signatory UUID

Body

application/json
first_namestring | null

Cannot be updated if the signatory's has_account_user field is true

Maximum string length: 255
Example: Emily
last_namestring | null

Cannot be updated if the signatory's has_account_user field is true

Maximum string length: 255
Example: Miller
mobile_phonestring | null

Mobile phone number, in E.164 format, as shown in the example

Maximum string length: 255
Example: +447951123456
party_uuidstring

UUID of the party the signatory will be signing for

Example: 595703a2-b7f6-4772-a4b7-ab2f9fac3a9f
titlestring | null

Cannot be updated if the signatory's has_account_user field is true

Maximum string length: 255
Example: Sales Manager

Response

application/json

SignatoryResource

dataobjectrequired